org.apache.lucene.queryparser.flexible.standard.builders

## Class MultiPhraseQueryNodeBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.builders.MultiPhraseQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class MultiPhraseQueryNodeBuilder
    extends Object
    implements StandardQueryBuilder

Builds a `MultiPhraseQuery` object from a `MultiPhraseQueryNode` object.

### Constructor Summary

Constructors
Constructor and Description
`MultiPhraseQueryNodeBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`MultiPhraseQuery` `build(QueryNode queryNode)` Builds some kind of object from a query tree.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiPhraseQueryNodeBuilder

    public MultiPhraseQueryNodeBuilder()

### Method Detail

#### build

    public MultiPhraseQuery build(QueryNode queryNode)
                           throws QueryNodeException

Description copied from interface: `QueryBuilder`
Builds some kind of object from a query tree.

Specified by:
  `build` in interface `QueryBuilder`
Specified by:
  `build` in interface `StandardQueryBuilder`
Parameters:
  `queryNode` - the query tree root node
Returns:
  some object generated from the query tree
Throws:
  `QueryNodeException`